POST api/rfidreaderapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
RfidReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| duration | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| ip | string |
None. |
|
| name | string |
Required |
|
| pc_id | globally unique identifier |
None. |
|
| power | decimal number |
None. |
|
| sector_entry | integer |
None. |
|
| sector_exit | integer |
None. |
|
| sensibility | decimal number |
None. |
|
| site_id | globally unique identifier |
Required |
|
| tag_filter | string |
None. |
|
| rfid_reader_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"duration": 1,
"id": "f756dd0e-2ebb-4136-b3ae-6e842671d26f",
"ip": "sample string 2",
"name": "sample string 3",
"pc_id": "a210f738-8fba-46de-803b-22ea164bcd34",
"power": 1.1,
"sector_entry": 1,
"sector_exit": 1,
"sensibility": 1.1,
"site_id": "f4e5a6af-54f4-446e-afd4-9c88c0b291ed",
"tag_filter": "sample string 4",
"rfid_reader_type_id": "35e254e6-bff7-4590-9deb-33d04eef2d88",
"active": true
}
application/xml, text/xml
Sample:
<rfid_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>f756dd0e-2ebb-4136-b3ae-6e842671d26f</id> <ip>sample string 2</ip> <name>sample string 3</name> <pc_id>a210f738-8fba-46de-803b-22ea164bcd34</pc_id> <power>1.1</power> <rfid_reader_type_id>35e254e6-bff7-4590-9deb-33d04eef2d88</rfid_reader_type_id> <sector_entry>1</sector_entry> <sector_exit>1</sector_exit> <sensibility>1.1</sensibility> <site_id>f4e5a6af-54f4-446e-afd4-9c88c0b291ed</site_id> <tag_filter>sample string 4</tag_filter> </rfid_reader>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"a8849128-43b2-4d15-9d67-7a1c122d249c"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a8849128-43b2-4d15-9d67-7a1c122d249c</guid>